Skip to Content

No SAP webIDE running on SAP HANA 2.0 Platform Edition Trial on AWS

Hi Folks,

I just launched the SAP HANA 2.0 Platform Edition Trial on AWS. However, I do not see the SAP webIDE running. Is this because this is the Platform edition?

I see the following two spaces:

PROD hdbxsa

SAP saphdbxsa

Can enable the SAP webIDE here? Do I need to install the SAP WebIDE separately? Or should I spin up another instance?

Thanks,

Jay

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    Jul 23, 2017 at 05:29 AM

    The edition comes with an installed XS Advanced Runtime, but the WebIDE for SAP HANA application is not installed by default in that case You have to install it. Details about that, can be found in the SAP Web IDE for SAP HANA - Installation and Upgrade Guide.

    Maybe you wanna try the SAP HANA, express edition which comes in a version, which includes also the XS Advanced Runtime with SAP WebIDE for SAP HANA installed. If you just wanna try out HANA, then maybe it fits your requirements too (the usage up to 32 GB of RAM is for free).

    Regards,
    Florian

    Add comment
    10|10000 characters needed characters exceeded

    • Thanks Florian - I really appreciate it! Your answer is absolutely correct. I wanted to start building NodeJS applications on HANA and since the HCP trial account does not currently have the SAP webIDE for SAP HANA that has the option to develop NodeJS modules, I tried the SAP HANA 2.0 Platform edition on AWS and then noticed that the SAP webIDE for SAP HANA is not there. I did see some posts about installing the SAP webIDE for SAP HANA add-on but decided to not spend that effort for now. Instead, I spun up an instance of the SAP HANA Express on AWS and this already has the SAP webIDE for SAP HANA installed - I had to run through some steps to get access to the webIDE - I followed the SAP HANA Academy videos:

      SAP HANA Academy - SAP HANA Express: Setup - Cloud Appliance Library

      SAP HANA Academy - SAP HANA Express: Setup - XSA configuration for CAL

      So after going through those videos, I have the SAP webIDE for SAP HANA running. When I create a nodeJS module and try to build it, then i get the error:

      Build of demo failed. Builder 'mtabuilder' is not available for workspace workspaceg5wib2oxjp9lp853.

      So I'm getting close. So I am trying to figure this issue out... I do see some posts around that. Do you have a good link about how to resolve that?

      Regards,

      Jay